These docs are for v1.0. Click to read the latest docs for v2.0.

Device Credentials

Returns the content to be saved in credentials file, generating a new token specific to this account and device.

Usage: Download the content and save it on the robot as file ~/.config/freedomrobotics/credentials or, on the robot, run next line of code, replacing in the URL your account and device IDs and your user token and secret.

install_elements - A comma separated list of install elements/tasks. Via this list the installer will know what to install and what not. Supported element values and their purpose:

  • no_credentials - will skip the creation of the credentials file
  • no_ros - will not try to integrate with ROS
  • no_ssh - will skip the ssh and its dependencies installation and setup for remote access
  • debug_fail - will force the installer fail at the end
  • warn_no_fail - will make the installer return success exit code (0) even if there were some warnings encountered
  • service_none - will not install the freedomrobotics service
  • service_initd - forces the setup of freedomrobotics service using initd
  • service_systemd - forces the setup of freedomrobotics service using systemd
  • webrtc - will install WebRTC dependencies
Path Params
string
required
string
required
Query Params
string

A comma separated list of install elements/tasks. [""no_ssh, "webrtc"] Via this list the installer will know what to install and what not.

string
Defaults to 5540

with this you can specify a custom port for the port internaly use by WebRTC. By default it is 5540.

string

the list of measurements supported by the agent to be disabled and so to reduce resources usage. Supported values: "resources", "platform", "ros", "processes", "network", "webrtc".

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json